#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libsndfile
Version		:	1.1.0
Release		:	14.4.0.0%{?dist}
Summary		:	A library of C routines for reading and writing files containing sampled audio data.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and GPLv2+ and BSD
URL		:	https://github.com/libsndfile/libsndfile/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
Libsndfile is a C library for reading and writing files containing
sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format)
through one standard library interface. It is released in source code
format under the Gnu Lesser General Public License.

The library was written to compile and run on a Linux system but should
compile and run on just about any Unix (including MacOS X). There are
also pre-compiled binaries available for 32 and 64 bit windows.

It was designed to handle both little-endian (such as WAV) and big-endian
(such as AIFF) data, and to compile and run correctly on little-endian
(such as Intel and DEC/Compaq Alpha) processor systems as well as
big-endian processor systems such as Motorola 68k, Power PC, MIPS and
Sparc. Hopefully the design of the library will also make it easy to
extend for reading and writing new sound file formats.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/sndfile-*
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/sndfile.pc
%{_defaultdocdir}/%{name}-%{version}/*.md
%{_defaultdocdir}/%{name}-%{version}/*%{name}.{css,jpg}
%{_defaultdocdir}/%{name}-%{version}/print.css
%{_mandir}/man1/sndfile-*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-bow-docs 				\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
